Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 5.0.0SynchronousAuth Required

UpdateAtPersonOfAtWeComEndpoint

UpdateAtPersonOfAtWeComEndpoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateatpersonofatwecomendpointObjectRequired

    updateatpersonofatwecomendpoint request body object.

    • endpointUuidStringRequired

      The WeCom endpoint uuid.

    • userIdString

      Optional. The user id.

    • remarkString

      Optional. The remark.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSWeComAtPersonInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • userIdStringRequired

      The WeCom user id.

    • endpointUuidStringRequired

      The WeCom endpoint uuid.

Endpoint

PUT/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions

/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions

Operation ID

UpdateAtPersonOfAtWeComEndpoint

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateatpersonofatwecomendpoint":{"endpointUuid":"<endpointUuid>","userId":"<userId>","remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "018934b79afc42cdbc7cb18f0330580e", "userId": "18988887777", "endpointUuid": "3579680f648d41af8a96218a339bd7b3", "remark": "jack" } }

Change History

This API has no change history records yet.

View all change history